Jump to content
Forums

After CtA is over no new player will be able to access F8 dungeons


Recommended Posts

With dungeon changes that came this patch lobby requirements changed as well. In order to use F8 you need Grand Celestial Weapon Stage 3, which you do not get in story and you pretty much can't grind it in a reasonable amount of time.

This change is there, because korea gets thornbreaker weapon from story.

If next patch we do not get new story with changed rewards not as single new player will be able to progress in game, because the best our story gives is exalted 3 weapon.

  • Like 4
Link to post
Share on other sites
24 minutes ago, healing pandor said:

With dungeon changes that came this patch lobby requirements changed as well. In order to use F8 you need Grand Celestial Weapon Stage 3, which you do not get in story and you pretty much can't grind it in a reasonable amount of time.

This change is there, because korea gets thornbreaker weapon from story.

If next patch we do not get new story with changed rewards not as single new player will be able to progress in game, because the best our story gives is exalted 3 weapon.

You think they care? They implemented HP buff which was introduced with first Ancient Dungeon, which we didn't get. So we just got the bad part of "update" the f8 butcher and hp increase for bosses, while running CtA event along side (gl new ppl to do your CtA). They only care about money, look how much stuff they put in f10 after UE4 patch

Link to post
Share on other sites

It's even worse than what you are saying, if I look in ahift+J it tells me I need at least "Lionroar 3" - that's not equivalent to GC3, it's Thornbreaker 3.

 

That means that no player can use LfP in F8 who doesn't have a thornbreaker 3 weapon...

Edited by Sparten
Grammar
Link to post
Share on other sites
On 9/11/2021 at 1:26 PM, Sparten said:

It's even worse than what you are saying, if I look in ahift+J it tells me I need at least "Lionroar 3" - that's not equivalent to GC3, it's Thornbreaker 3.

 

That means that no player can use LfP in F8 who doesn't have a thornbreaker 3 weapon...

I've been wrong here it's as you said GC3 - got the cross-server required with the recommended weapon mixed up.

Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now
×
×
  • Create New...